# Jaxer.System : Object
Return to: Jaxer Framework index

Namespace object holding functions and members used to access operating system resources and processes.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Properties

Property | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static desktopFolder : String The path on disk of the current user's desktop folder | No Details | 1.0 | no

static executableFolder : String The path on disk of the current executable's folder | No Details | 1.0 | no

static homeFolder : String The path on disk of the current user's home folder | No Details | 1.0 | no

static OS : String A string identifying the current operating system | No Details | 1.0 | no

static separator : String The filesystem separator character (either \ or /) | No Details | 1.0 | no

static tempFolder : String The path on disk of the system's temp folder | No Details | 1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static launch(String path) : void Ask the operating system to attempt to open the file. This simulates "double clicking" the file on your platform. This routine only works on platforms which support this functionality. This is non-blocking and script execution will continue. | Show Details | 1.0 | no

Parameters

String | path | A String containing the path to the file or a Jaxer.File object referencing the filesystem object

aptana_docs